# palemoon globals
%global moz_extensions %{_libdir}/palemoon/browser/extensions
%global app_name palemoon
#%%global app_id

Name:           %{app_name}-ublock-origin
Version:        1.16.4.8
Release:        1
Summary:        uBlock Origin installed to the system Pale Moon extensions directory

Group:          Applications/Internet
License:        GPLv3
URL:            https://github.com/gorhill/uBlock
Source0:        https://github.com/gorhill/uBlock/releases/download/firefox-legacy-%{version}/uBlock0.firefox-legacy.xpi
BuildRequires:  unzip
BuildRequires:  coreutils
BuildArch:      noarch

#Requires:       mozilla-filesystem
#Requires:       %%{app_name}-filesystem

%description
The "legacy" release of uBlock Origin (NPAPI) for tradional Mozilla-style
web browsers. This is packaged for %{app_name}.

More than just an ad blocker, uBlock Origin provides the ability to block
at will and easy defaults based on various common lists, such as EasyList,
EasyPrivacy, and Peter Lowe's ad/tracking/malware servers.

%prep
#%setup -q -c

%build

%install
# learn extension id to name the file
%{__unzip} -o %{SOURCE0} install.rdf
newfilename="$( grep 'em:id' install.rdf 2>/dev/null | head -n1 | sed -r -e 's/^.*<em:id>//;' -e 's/<\/em:id>.*$//;' ).xpi"
test -z "${newfilename}" && newfilename="$( basename %{SOURCE0} )"

mkdir -p %{buildroot}%{moz_extensions}
install -Dp -m0644 %{SOURCE0} %{buildroot}%{moz_extensions}/${newfilename}

rm -rf install.rdf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{moz_extensions}/*.xpi

%changelog
* Sat Sep 15 2018 B Stack <bgstack15@gmail.com> 1.16.4.4-2
- Customize for stackrpms

* Wed Aug 2 2017 Ian Firns <firnsy@kororaproject.org>- 1.13.8-1
- Update to 1.13.8 release

* Thu Jan 7 2016 Chris Smart <csmart@kororaproject.org>- 1.9.16-1
- Update to 1.9.16 release

* Thu Jan 7 2016 Chris Smart <csmart@kororaproject.org>- 1.5.3-1
- Update to 1.5.3 release
- Use signed xpi from Mozilla so that it works in Firefox 43

* Tue Nov 3 2015 Chris Smart <csmart@kororaproject.org>- 1.3.2-1
- Initial build
